# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Host: localhost:3306 Database : antitest

# --------------------------------------------------------
#
# Table structure for table 'groups'
#

DROP TABLE IF EXISTS groups;
CREATE TABLE groups (
   g_id tinyint(4) DEFAULT '0' NOT NULL auto_increment,
   description varchar(50) NOT NULL,
   PRIMARY KEY (g_id)
);

#
# Dumping data for table 'groups'
#

INSERT INTO groups VALUES ( '1', 'default');

# --------------------------------------------------------
#
# Table structure for table 'questions'
#

DROP TABLE IF EXISTS questions;
CREATE TABLE questions (
   q_id int(11) DEFAULT '0' NOT NULL auto_increment,
   s_id int(11) DEFAULT '0' NOT NULL,
   required enum('yes','no') DEFAULT 'no' NOT NULL,
   type enum('Multiple Choice','True or False','Essay') DEFAULT 'Essay' NOT NULL,
   weight tinyint(4) DEFAULT '1' NOT NULL,
   question text NOT NULL,
   answer text NOT NULL,
   alt_1 text NOT NULL,
   alt_2 text NOT NULL,
   alt_3 text NOT NULL,
   PRIMARY KEY (q_id)
);

#
# Dumping data for table 'questions'
#

INSERT INTO questions VALUES ( '1', '1', 'no', 'Multiple Choice', '2', 'What does GNU stand for?', 'Gnu\'s not Unix', 'General nondescript unix', 'Generic new Unix', 'Gotta new U-Boat');
INSERT INTO questions VALUES ( '2', '1', 'yes', 'True or False', '1', 'Linux is a tradmark of Linus Torvalds', 'True', 'empty', 'empty', 'empty');
INSERT INTO questions VALUES ( '3', '1', 'yes', 'True or False', '3', 'Maplebot, by Adrian Montero, is a 1337 bot written in C', 'True', 'empty', 'empty', 'empty');
INSERT INTO questions VALUES ( '4', '1', 'no', 'Multiple Choice', '1', 'What package management software does Debian use?', 'APT, the advanced package took', 'RPM, the Redhat Package Manager', 'the Ports system', 'You have to compile from source');
INSERT INTO questions VALUES ( '5', '1', 'yes', 'True or False', '4', 'Redhat was the first Linux distribution', 'False', 'empty', 'empty', 'empty');
INSERT INTO questions VALUES ( '6', '1', 'yes', 'Multiple Choice', '2', 'What is the command to list all files in a directory in Linux?', 'ls -a', 'ls', 'ls -l', 'ls --color');
INSERT INTO questions VALUES ( '7', '1', 'yes', 'Multiple Choice', '2', 'What is the command to view the current process list?', 'ps', 'grep ', 'rm', 'ustat');
INSERT INTO questions VALUES ( '8', '1', 'no', 'True or False', '5', 'Emacs is a better editor than VI', 'True', 'empty', 'empty', 'empty');
INSERT INTO questions VALUES ( '9', '1', 'no', 'Multiple Choice', '2', 'Which of the below is NOT a linux command', 'mkp', 'cat', 'tar', 'mv');
INSERT INTO questions VALUES ( '10', '1', 'no', 'Multiple Choice', '2', 'What does the command \'grep\' do', 'searches for occurenes of a string in a file', 'copies files from one directory to another', 'groups similar files together', 'renames conflicting filenames');
INSERT INTO questions VALUES ( '11', '1', 'no', 'True or False', '1', 'Apache is an open source ftp server', 'False', 'empty', 'empty', 'empty');
INSERT INTO questions VALUES ( '12', '1', 'no', 'True or False', '2', 'CGI stands for Common Graphics Interface', 'False', 'empty', 'empty', 'empty');
INSERT INTO questions VALUES ( '13', '1', 'no', 'True or False', '2', 'Perl is the hackers swiss-army knife', 'True', 'empty', 'empty', 'empty');

# --------------------------------------------------------
#
# Table structure for table 'results'
#

DROP TABLE IF EXISTS results;
CREATE TABLE results (
   r_id int(11) DEFAULT '0' NOT NULL auto_increment,
   t_id int(11) DEFAULT '0' NOT NULL,
   user_id int(11) DEFAULT '0' NOT NULL,
   points int(11) DEFAULT '0' NOT NULL,
   points_possible int(11) DEFAULT '0' NOT NULL,
   score tinyint(4) DEFAULT '0' NOT NULL,
   answers text NOT NULL,
   date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   PRIMARY KEY (r_id)
);

#
# Dumping data for table 'results'
#

INSERT INTO results VALUES ( '1', '1', '2', '17', '25', '68', 'Question #1 (2): What is the command to view the current process list?:
User\'s answer: ustat
Correct answer: ps

Question #2 (1): Linux is a tradmark of Linus Torvalds:
User\'s answer: True
Correct answer: True

Question #3 (3): Maplebot, by Adrian Montero, is a 1337 bot written in C:
User\'s answer: True
Correct answer: True

Question #4 (4): Redhat was the first Linux distribution:
User\'s answer: True
Correct answer: False

Question #5 (2): What is the command to list all files in a directory in Linux?:
User\'s answer: ls -a
Correct answer: ls -a

Question #6 (5): Emacs isa  better editor than VI:
User\'s answer: True
Correct answer: True

Question #7 (2): Perl is the hackers swiss-army knife:
User\'s answer: False
Correct answer: True

Question #8 (2): Which of the below is NOT a linux command:
User\'s answer: mkp
Correct answer: mkp

Question #9 (2): CGI stands for Common Graphics Interface:
User\'s answer: False
Correct answer: False

Question #10 (2): What does GNU stand for?:
User\'s answer: Gnu\\\'s not Unix
Correct answer: Gnu\'s not Unix

', '2002-04-05 11:14:44');

# --------------------------------------------------------
#
# Table structure for table 'security'
#

DROP TABLE IF EXISTS security;
CREATE TABLE security (
   l_id int(11) DEFAULT '0' NOT NULL auto_increment,
   user_id int(11) DEFAULT '0' NOT NULL,
   ip varchar(15) NOT NULL,
   page varchar(255) DEFAULT '0' NOT NULL,
   date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   PRIMARY KEY (l_id)
);

#
# Dumping data for table 'security'
#


# --------------------------------------------------------
#
# Table structure for table 'skill_levels'
#

DROP TABLE IF EXISTS skill_levels;
CREATE TABLE skill_levels (
   s_id int(11) DEFAULT '0' NOT NULL auto_increment,
   description text NOT NULL,
   PRIMARY KEY (s_id)
);

#
# Dumping data for table 'skill_levels'
#

INSERT INTO skill_levels VALUES ( '1', 'Linux');

# --------------------------------------------------------
#
# Table structure for table 'tests'
#

DROP TABLE IF EXISTS tests;
CREATE TABLE tests (
   t_id int(11) DEFAULT '0' NOT NULL auto_increment,
   s_id int(11) DEFAULT '0' NOT NULL,
   title varchar(255) NOT NULL,
   num_required int(11) DEFAULT '0' NOT NULL,
   num_random int(11) DEFAULT '0' NOT NULL,
   viewable tinyint(4) DEFAULT '1' NOT NULL,
   g_id int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (t_id)
);

#
# Dumping data for table 'tests'
#

INSERT INTO tests VALUES ( '1', '1', 'Linux quiz', '5', '5', '1', '1');

# --------------------------------------------------------
#
# Table structure for table 'users'
#

DROP TABLE IF EXISTS users;
CREATE TABLE users (
   user_id int(11) DEFAULT '0' NOT NULL auto_increment,
   username varchar(13) NOT NULL,
   password varchar(30) NOT NULL,
   email varchar(100) NOT NULL,
   real_name varchar(30) NOT NULL,
   g_id int(11) DEFAULT '0' NOT NULL,
   date_joined datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   admin tinyint(4) DEFAULT '0' NOT NULL,
   PRIMARY KEY (user_id),
   UNIQUE user_id_2 (user_id),
   KEY user_id (user_id),
   KEY g_id (g_id)
);

#
# Dumping data for table 'users'
#

INSERT INTO users VALUES ( '1', 'admin', 'AheqX0OeA2apo', 'none', 'Administrative user', '1', '2002-04-05 10:14:31', '1');
INSERT INTO users VALUES ( '2', 'guest', 'YZ/gu.pNcd5sE', '', 'guest user', '1', '2002-04-05 11:09:21', '0');
